complexType "AdjustableDates"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 1 attribute, 2 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | unadjustedDate+, dateAdjustments?
</...>

Content Model Elements (2):

  dateAdjustments (defined in AdjustableDates complexType), | unadjustedDate (defined in AdjustableDates complexType)

All Direct / Indirect Based Elements (3):

  adjustableDates (defined in AdjustableOrRelativeDates complexType),
  adjustableDates (in cashSettlementPaymentDate),
  fxFixingSchedule

Known Usage Locations

- As direct type of elements (3):
  adjustableDates (defined in AdjustableOrRelativeDates complexType),
  adjustableDates (in cashSettlementPaymentDate),
  fxFixingSchedule

Annotation
A type for defining a series of dates that shall be subject to adjustment if they would otherwise fall on a day that is not a business day in the specified business centers, together with the convention for adjusting the dates.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="AdjustableDates"> <xsd:sequence> <xsd:element maxOccurs="unbounded" name="unadjustedDate" type="IdentifiedDate"/> <xsd:element minOccurs="0" name="dateAdjustments" type="BusinessDayAdjustments"/> <!--View Generation: SKIPPED adjustedDate - Documentation--> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID" use="optional"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID" use="optional"/>

Content Element Detail (all declarations; defined within this component only; 2/2)
dateAdjustments

  Type: | BusinessDayAdjustments, complex content

  The business day convention and financial business centers used for adjusting the date if it would otherwise fall on a day that is not a business dat in the specified business centers.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dateAdjustments" type="BusinessDayAdjustments"/>

unadjustedDate

  Type: | IdentifiedDate, simple content

  A date subject to adjustment.
  Simple Content

  xsd:date

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="unadjustedDate" type="IdentifiedDate"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.